/*@java
 @Created by Dmitriy I. Suyasov
 @Date 31.03.2005
 @Time 12:28:04
 */
package dsuyasov.inetDoc.main;

import dsuyasov.inetDoc.functionality.Log;
import dsuyasov.inetDoc.functionality.CommonVariables;
import dsuyasov.inetDoc.automat.AutomatMain;

public class Main {
    /*@
          
        @param args   
    */
    public static void main(String[] args) {

        //      
        if (args.length == 0) {
            Log.getLogger().out(InetDocConstant.EMPTY_PROGRAM_OUT);
            return;
        }

        Log.getLogger().automat("  ");

        //  
        for (int iLoop = 0; iLoop < args.length; iLoop++)
            CommonVariables.getInstance().arguments.add(args[iLoop]);

        //   
        AutomatMain automatMain = new AutomatMain(0);

        //   
        automatMain.work();

        Log.getLogger().automat("  ");

    }

}