/*@java
 @Created by IntelliJ IDEA.
 @User Dmitriy I. Suyasov
 @Date 07.04.2005
 @Time 14:46:57
 */
package dsuyasov.inetDoc.view;

import dsuyasov.inetDoc.automat.AutomatEventMonitor;

import javax.swing.*;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class InetDocView {

    JPanel contentPane;

    private JTextArea textArea;
    private JButton startButton;
    private JButton closeButton;

    /**
     * Constructor. Create window, set main properties.
     */
    public InetDocView() {

        // Set button texts
        startButton.setText(InetDocViewConstant.BUTTON_START);
        closeButton.setText(InetDocViewConstant.BUTTON_CLOSE);

        // Set button listeners
        startButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent ae) {
                AutomatEventMonitor.event.add(AutomatEventMonitor.EVENT_2_START);
            }
        });

        closeButton.addActionListener(new ActionListener() {
            public void actionPerformed(ActionEvent ae) {
                AutomatEventMonitor.event.add(AutomatEventMonitor.EVENT_1_CLOSE);
            }
        });
    }

    public JPanel getContentPane() {
        return contentPane;
    }

    public void closeWindow() {
//        System.exit(0);
    }

}
