package dsuyasov.inetDoc.rulesZone;

public class StringStartSaver extends Rule {

    public StringStartSaver(int next, int number) throws RuleException {
        super("", next, number);
    }

    public boolean proceed(ForwardElement element) {
        object = element.getText();
        results.clear();
        if (element.getResult() != null) {
            String result = element.getResult().substring(element.getText().length());
            results.add(new ForwardElement(nextStep.getNext(), element.getText(), result, element.getHistory()));
        } else {
            results.add(new ForwardElement(nextStep.getNext(), element.getText(), element.getResult(), element.getHistory()));
        }
        return true;
    }

    public String getStartPoint() {
        return (String) object;
    }

}
