/*@java
 @Created by Dmitriy I. Suyasov
 @Date 07.04.2005
 @Time 12:47:00
 */
package dsuyasov.inetDoc.functionality;

import java.util.ArrayList;
import java.util.Stack;
import java.util.Map;
import java.util.HashMap;
import java.io.File;


public class CommonVariables {

    /*@
           CommonVariables
     */
    private static CommonVariables cv;

    /*@
             
        @return  
     */
    public static CommonVariables getInstance() {
        if (cv == null)
            cv = new CommonVariables();
        return cv;
    }

    /*@
        .
     */
    private CommonVariables() {
        errors = new ArrayList();
        sourceDirectory = null;
        arguments = new ArrayList();
    }

    /*@
          
     */
    public ArrayList errors;

    /*@
            
     */
    public String sourceDirectory;

    /*@
          
     */
    public ArrayList arguments;

    /*@
            
     */
    public ArrayList templates;

    /*@
           
     */
    public ArrayList files;

    /*@
            
        @param al   
        @param path ,     
     */
    public void getAllFiles(ArrayList al, String path) throws Exception{
        File file = new File(path);
        if (file.isFile()) {
            al.add(file.getAbsolutePath());
            return;
        }
        String[] list = file.list();
        for (int iLoop = 0; iLoop < list.length; iLoop++)
            try {
                getAllFiles(al, file.getAbsolutePath()+File.separator+list[iLoop]);
            } catch (Exception e) {
                throw new Exception(e.getMessage());
            }
    }

    /*@
           
        @param src   
        @return   
     */
    public String doubleDirSeparator(String src) {
        int index = 0;
        int res = src.indexOf("\\");
        while (res>=0) {
            src = ((res>0)?src.substring(0,res):"") + "\\" + ((res<src.length())?src.substring(res):"");
            index = res + 2;
            res = src.indexOf("\\", index);
        }
        return src;
    }

    /*@
          ,  
     */
    public int documentFiles;

    /*@
               
     */
    public Stack currentDocFile = new Stack();
    /*@
           
     */
    public ArrayList commonFiles = new ArrayList();
    /*@
          ,      
     */
    public Map commonMap = new HashMap();
    /*@
             
     */
    public String defaultTemplate;

}
